Bug 1004548 - Tree not collapsing in graph mode in version 0.8.8b
Tree not collapsing in graph mode in version 0.8.8b
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: cacti (Show other bugs)
el6
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 18:01 EDT by network.operations
Modified: 2016-05-10 11:11 EDT (History)
4 users (show)

See Also:
Fixed In Version: cacti-0.8.8g-1.el7 cacti-0.8.8g-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-10 10:42:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of problem (18.29 KB, image/jpeg)
2013-09-04 18:01 EDT, network.operations
no flags Details

  None (edit)
Description network.operations 2013-09-04 18:01:19 EDT
Created attachment 793882 [details]
Screenshot of problem

Description of problem:
The tree is not collapsing in graph mode in version 0.8.8b.  Just one big list.  The hierarchy still exists, but there a no plus or minus signs anymore.

Version-Release number of selected component (if applicable):
0.8.8b

How reproducible:
Every time

Steps to Reproduce:
1.  Upgrade to Cacti version 0.8.8b
2.
3.

Actual results:
Tree will not collapse.

Expected results:
Tree should both expand and collapse.

Additional info:
Comment 1 Ken Dreyer 2013-09-04 18:09:48 EDT
That's odd.

Are you logged into Cacti, or browsing as a guest?
Comment 2 network.operations 2013-09-04 18:35:24 EDT
Logged in with full privileges.

I found some stuff online in which Debian users were having the same problem.   They had to install a couple packages to get jquery and jquery-cookie.  I did notice that the EPEL package includes both located in /usr/share/cacti/include/js/jquery.  Just mentioning it in case it helps.

There are no messages being generated in /var/log/httpd/error.log or in /var/log/audit/audit.log.

We did turn on some debugging in a browser and got some javascript error messages.  I will get you those messages in the morning.
Comment 3 network.operations 2013-09-05 10:28:51 EDT
The two javascript errors we get loading the page are:

- ReferenceError: findObj is not defined
- TypeError: $(...).jstree is not a function

We are using the Firebug extension in Firefox.


Something to note, Ken did a build containing a patch for thumbnails not showing.

https://bugzilla.redhat.com/show_bug.cgi?id=1004550

http://kojipkgs.fedoraproject.org//work/tasks/6555/5896555/cacti-0.8.8b-2.1.el6.noarch.rpm

That is what we are running now.
Comment 4 network.operations 2013-09-09 14:57:01 EDT
Just checking in to see if you have found anything yet.
Comment 5 Ken Dreyer 2013-09-09 15:02:38 EDT
Please accept my apologies, but I don't know when I will be able to get to this, and I'm unable to duplicate it on my own Cacti installs.

I recommend contacting upstream about this, or the original author of the Debian patch (Paul Gevers <elbrus@debian.org>)

If you're able to come up with a new patch to this package, please attach it to this bug report.
Comment 6 network.operations 2013-09-13 16:08:40 EDT
I reverted to using treeview from an older version of Cacti.  Tree is fine again.  Guess we'll see what the next release is like then.
Comment 7 Ken Dreyer 2014-04-08 10:06:47 EDT
Please note that there are many security vulnerabilities in the older version of Cacti in EPEL that contained treeview. We need someone with web dev experience to duplicate your issue and submit a patch.
Comment 8 Marco Tizzoni 2014-05-13 04:47:59 EDT
The issue is caused by clashing versions of jquery brought into Cacti by different plugins, namely Superlinks and Reportit.

The issue can be replicated by installing one or both the mentioned plugins and  can be solved by simply removing the following files from the file system:
 - reportit: /usr/share/cacti/plugins/reportit/lib_ext/jquery/jquery-1.4.2.min.js
 - superlinks: /usr/share/cacti/plugins/reportit/lib_ext/jquery/jquery-1.4.2.min.js 

It is not a clean solution (code should be patched upstream) but works.
Comment 9 Kevin 2014-05-20 20:51:44 EDT
Thanks Marco.  I am wondering if this may cause an issue with ReportIt.  I removed /usr/share/cacti/plugins/reportit/lib_ext/jquery/jquery-1.4.2.min.js

After doing that, error messages in /var/log/httpd/error_log started to appear:
[Tue May 20 19:40:36 2014] [error] [client xxx.xxx.xxx.xxx] File does not exist: /usr/share/cacti/plugins/reportit/lib_ext/jquery/jquery-1.4.2.min.js, referer: http://xxx.xxx.xxx.xxx/cacti/index.php

I haven't moved this system into production yet; I am setting this system up to replace a Windows system.  I am hoping ReportIt will function once I move it into production.  Thanks.
Comment 10 Ken Dreyer 2015-03-25 08:16:50 EDT
The package has been retired in Rawhide for a while. See http://forums.cacti.net/viewtopic.php?f=2&t=53607 and https://lists.fedoraproject.org/pipermail/devel/2014-October/203695.html

Today I've removed myself from the package in pkgdb.

Jon, please feel free to orphan or retire this package in EPEL.
Comment 11 Fedora Update System 2016-04-24 18:30:45 EDT
cacti-0.8.8g-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c731bc5ec0
Comment 12 Fedora Update System 2016-04-24 19:45:21 EDT
cacti-0.8.8g-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-45e9f8440b
Comment 13 Fedora Update System 2016-04-25 20:20:06 EDT
cacti-0.8.8g-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-45e9f8440b
Comment 14 Fedora Update System 2016-04-25 20:24:20 EDT
cacti-0.8.8g-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c731bc5ec0
Comment 15 Fedora Update System 2016-05-10 10:42:03 EDT
cacti-0.8.8g-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-05-10 11:10:39 EDT
cacti-0.8.8g-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.